actions: []
api_documentation: http://docs.ros.org/en/noetic/api/joint_state_controller/html
authors: Wim Meeussen
brief: ''
bugtracker: https://github.com/ros-controls/ros_controllers/issues
depends:
- catkin
- controller_interface
- hardware_interface
- pluginlib
- realtime_tools
- roscpp
- sensor_msgs
depends_on:
- cob_bringup
- cob_gazebo_worlds
- cob_hardware_config
- crane_x7_control
- diffbot_control
- dingo_control
- husky_control
- ign_ros_control_demos
- jackal_control
- khi_robot_bringup
- khi_robot_control
- leo_gazebo
- mir_description
- prbt_support
- quori_controller
- ridgeback_control
- ros_controllers
- schunk_svh_driver
- sciurus17_control
- ubiquity_motor
- ur_gazebo
- urdf_sim_tutorial
- volta_control
- warthog_control
description: Controller to publish joint state
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__ros_controllers__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__ros_controllers__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: "Bence Magyar <bence.magyar.robotics@gmail.com>, Mathias L\xFCdtke <mathias.luedtke@ipa.fraunhofer.de>,\
  \ Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>"
metapackages:
- ros_controllers
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__joint_state_controller__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__joint_state_controller__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__joint_state_controller__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__joint_state_controller__ubuntu_focal_arm64__binary
repo_name: ros_controllers
repo_url: https://github.com/ros-controls/ros_controllers
srvs: []
timestamp: 1699006517.8366241
url: https://github.com/ros-controls/ros_controllers/wiki
vcs: git
vcs_uri: https://github.com/ros-controls/ros_controllers.git
vcs_version: noetic-devel
